#### D.6.17.5 H2basis

Procedure from library `mondromy.lib` (see mondromy_lib).

Usage:
  H2basis(f); f poly

Assume:
  The polynomial f in a series ring (local ordering) defines an isolated hypersurface singularity.

Return:
  The procedure returns a list of representatives of a C{f}-basis of the Brieskorn lattice H"=Omega^(n+1)/df^dOmega^(n-1).

Theory:
  H" is a free C{f}-module of rank milnor(f).

Display:
  The procedure displays more comments for higher printlevel.

Example:

    LIB "mondromy.lib";
    ring R=0,(x,y),ds;
    poly f=x2y2+x6+y6;
    H2basis(f);
    ==> [1]:
    ==>    x4
    ==> [2]:
    ==>    x2y2
    ==> [3]:
    ==>    y4
    ==> [4]:
    ==>    x3
    ==> [5]:
    ==>    x2y
    ==> [6]:
    ==>    xy2
    ==> [7]:
    ==>    y3
    ==> [8]:
    ==>    x2
    ==> [9]:
    ==>    xy
    ==> [10]:
    ==>    y2
    ==> [11]:
    ==>    x
    ==> [12]:
    ==>    y
    ==> [13]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.